@import url("../page.css");
@import url("../exercises.css");
@import url("../form.css");

#pagecontainer {
	margin-bottom: -15px;
}

#jsbuttons .ui.button {
	width: 13rem;
}

#jsbuttons, #jsaddons, #jsnode_data_div {
	position: absolute;
	padding: 1rem;
}

#jsbuttons {
	top: 175px;
	line-height: 2;
	border-bottom: none;
	border-radius: 5px 5px 0 0;
}

#jsaddons, #jsnode_data_div {
	top: 200px;
	height: auto;
	margin-top: 3rem;
	border-top: none;
	border-radius: 0 0 5px 5px;
	margin-bottom: 1rem;
}

#jsaddons {
	z-index: 5;
}

#jsnode_data_div {
	z-index: 10;
	position: relative;
    top: 0;
    margin-left: 15px;
    width: 100%;
    background: none;
    border: none;
    font-size: 1.15rem;
}

#jsid_divle, #jsid_divli, #jsid_divfu {
	display: none;
}

#description_media textarea[name="descrizione"], #jsid_select_files,
	#jsid_select_external_links, #jsid_textle {
	width: 100%;
}

#jsnode_data_div div {
	padding: 0.2rem;
}

/*
 * Node editor
 */
#jseditor_form {

}
#jsnode_data_div input[type="text"] {
	width: 20vw;
}
#jsdata_textarea {
	width: 100%;
	height: 350px;
}

#jsdata_hyphenarea {
	width: 100%;
	height: 50px;
}

#jsdata_semanticarea {
	width: 100%;
	height: 50px;
}

#jsdata_grammararea {
	width: 100%;
	height: 50px;
}

#jsdata_notesarea {
	width: 100%;
	height: 50px;
}

#jsdata_examplesarea {
	width: 100%;
	height: 50px;
}
/* AGGIUNTE ENRICO */

#replied_node_data #author_name {
	font-size: 1.2rem;
	font-weight: 700;
}
#jsnode_data_div label {
    font-weight: 700;
}
#span_preview_button #preview, input[type="file"], input[type="reset"], input[type="submit"] {
    background-color: #bbb;
    padding: 10px;
    text-transform: uppercase;
    font-weight: 700;
    color: #666;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 3px;
}
#span_preview_button {
    text-align: center;
    margin-top: 10px;
}
#jsbuttons {
	display: none;
}
#editor_form_div {
	width: 90%;
    display: block;
    margin: 0 auto;
}
#parent_node_selector input[type="button"], #span_switch_to_adacode_button input[type="button"], #span_switch_to_fckeditor_button input[type="button"] {
	background-color: #c5c5c5 !important;
    padding: 12px 8px 8px 8px;
    text-transform: uppercase;
    font-weight: 700;
    border: 1px solid lightgray;
    border-radius: 6px;
    margin: 6px 6px 12px 6px;
    color: #666 !important;
}